maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Schulte ...@schulte.it>
Subject Re: Building jar targeting multiple Java versions, including 9
Date Sat, 03 Sep 2016 01:57:30 GMT
Am 09/02/16 um 19:06 schrieb Robert Scholte:
> I'll rephrase the question: What to do which projects who want to have  
> their code compatible with a version lower than Java 9 AND want to provide  
> a module-info file as well?

The main sources are compiled with, for example, -target 1.6 and only
the module-info.java file is compiled with -target 1.9? That way? javac
cannot compile a module-info.java file when not targetting 1.9, correct?
Would be simple then.

Regards,
-- 
Christian


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message